import type { _NSDate } from "./NSDate.js";
import type { _NSLocking } from "./NSLocking.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSString } from "./NSString.js";
export declare class _NSCondition extends _NSObject {
    static alloc(): _NSCondition;
    static new(): _NSCondition;
    init(): _NSCondition;
    wait(): void;
    waitUntilDate$(limit: _NSDate): boolean;
    signal(): void;
    broadcast(): void;
    name(): _NSString | null;
    setName$(value: _NSString | null): void;
}
export interface _NSCondition extends _NSLocking {
}
